Subject: Re: [PATCH] genirq: Provide new interfaces for affinity hints

From: Thomas Gleixner <[email-masked]>
Date: Fri, 21 May 2021 23:48:43 +0200

On Fri, May 21 2021 at 12:13, Nitesh Lal wrote:
> On Fri, May 21, 2021 at 8:03 AM Thomas Gleixner <[email-masked]> wrote:
>> Provide new interfaces:
>>
>>   irq_update_affinity_hint() - Only sets the affinity hint pointer
>>   irq_apply_affinity_hint()  - Set the pointer and apply the affinity to
>>                                the interrupt
>>
>
> Any reason why you ruled out the usage of irq_set_affinity_and_hint()?
> IMHO the latter makes it very clear what the function is meant to do.

You're right. I was trying to phase the existing hint setter out, but
that's probably pointless overengineering for no real value. Let me redo
that.

Thanks,

        tglx